## apt-notifier 16.12mx15+1

=== debian/changelog ===
apt-notifier (16.12mx15+1) mx; urgency=medium

  * Rebuild for MX15 -- w/classic icons

 -- Kent Mathern <maintainer@mepiscommunity.org>  Tue, 20 Dec 2016 14:12:15 -0500

apt-notifier (16.12mx16+1) mx; urgency=medium

  * Rollback to just mx16 icons and remove icon selection dialog

 -- Kent Mathern <maintainer@mepiscommunity.org>  Tue, 20 Dec 2016 13:43:08 -0500

apt-notifier (16.11mcr120+1) mepis; urgency=medium

  * Rebuild for Mepis 12 & MX-14

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 28 Nov 2016 15:29:10 -0500

apt-notifier (16.11mx15+1) mx; urgency=medium

  * Rebuild for MX-15

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 28 Nov 2016 15:26:26 -0500

apt-notifier (16.11mx16+1) mx; urgency=medium

  * Stop using kdesu '-n' option

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 28 Nov 2016 15:20:43 -0500

apt-notifier (16.11mx16) mx; urgency=medium

  * include both classic and mx16 icons in package
  * IconLook config setting added
  * preferences dialog updated to allow icon changes
  * change to Adrian's version numbering 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Wed, 23 Nov 2016 18:01:32 -0500

apt-notifier (1.3.4mx160+1) mepis; urgency=medium

  * new icons, mx16

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 20 Oct 2016 16:00:33 -0400

apt-notifier (1.3.4mcr120+1) mepis; urgency=medium

  * Rebuild for Mepis 12 & MX-14

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 30 Jul 2016 18:25:33 -0400

apt-notifier (1.3.4mx150+1) mx; urgency=medium

  * clean up gksu message
  * add cron.daily job to do live update sooner
  * disable epoch fix

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 30 Jul 2016 18:17:33 -0400

apt-notifier (1.3.3mcr120+1) mepis; urgency=medium

  * Rebuild for Mepis 12 & MX-14

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 16 Jun 2016 16:27:19 -0400

apt-notifier (1.3.3mx150+1) mx; urgency=medium

  * preferences dialog improvements
  * tooltip added to 'switch to apt-get ...' button
  * using a better way to create "$TMP"/upgrades file
  * added fix to display epochs in 'View and Upgrade' preview window

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 16 Jun 2016 16:21:11 -0400

apt-notifier (1.3.2mcr120+1) mepis; urgency=medium

  * Rebuild for Mepis 12 & MX-14 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 10 Jun 2016 10:09:04 -0400

apt-notifier (1.3.2mx150+1) mx; urgency=medium

  * remove MX-Utilities category from .desktop file
  * add tooltip to Reload button
  * better whitespace test
  * unhide-Icon script, only delete the 'DontShowIcon blah blah' line if it's present

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 10 Jun 2016 10:00:30 -0400

apt-notifier (1.3.1mcr120+1) mepis; urgency=medium

  * Rebuild for Mepis 12 & MX-14

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 06 Jun 2016 19:59:39 -0400

apt-notifier (1.3.1mx150+1) mx; urgency=medium

  * 'apt-get update' button renamed to 'Reload'
  * /usr/bin/apt-notifier - only modify apt-notifierrc if
    whitespace lines/blank lines are present
  * mx-apt-notifier-menu.desktop - add MX-Utilities category

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 06 Jun 2016 19:49:21 -0400

apt-notifier (1.3.0mcr120+2) mepis; urgency=medium

  * Rebuild for Mepis 12 & MX-14

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 23 May 2016 14:09:46 -0400

apt-notifier (1.3.0mx150+2) mx; urgency=medium

  * only update apt-notifierrc when checkbox items have been changed 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 23 May 2016 13:57:41 -0400

apt-notifier (1.3.0mcr120+1) mepis; urgency=medium

  * Rebuild for Mepis 12 & MX-14

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 22 May 2016 20:56:07 -0400

apt-notifier (1.3.0mx150+1) mx; urgency=medium

  * 'View and Upgrade' apt-get update button added
  * kdesu and konsole fixes
  * only sed edit apt-notifierrc when whitespace and/or blank lines are present

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 22 May 2016 20:43:06 -0400

apt-notifier (1.2.0mcr120+2) mepis; urgency=medium

  * Rebuild for Mepis 12 & MX-14

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 07 May 2016 17:58:28 -0400

apt-notifier (1.2.0mx150+2) mx; urgency=medium

  * added autoremove translations
  * have Apt History use a separate apt-history script 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 07 May 2016 17:52:39 -0400

apt-notifier (1.2.0mx150+1) mx; urgency=medium

  * added option - check for autoremoves after upgrades

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 01 May 2016 19:53:05 -0400

apt-notifier (1.1.5mcr120+5) mepis; urgency=medium

  * Rebuild for Mepis 12 & MX-14

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 04 Feb 2016 19:29:36 -0500

apt-notifier (1.1.5mx150+5) mx; urgency=medium

  * synaptic pinning fixes

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 04 Feb 2016 19:24:01 -0500

apt-notifier (1.1.5mcr120+4) mepis; urgency=medium

  * Rebuild for Mepis 12 & MX-14

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 25 Jan 2016 21:11:30 -0500

apt-notifier (1.1.5mx150+4) mx; urgency=medium

  * add Check for Updates rightclick action

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 25 Jan 2016 20:37:58 -0500

apt-notifier (1.1.5mcr120+3) mepis; urgency=medium

  * Rebuild for Mepis 12 & MX-14

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 20 Nov 2015 12:30:05 -0500

apt-notifier (1.1.5mx150+3) mx; urgency=medium

  * Exit Apt History with 'Close' instead of 'Cancel'
  * RC menu changes 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 20 Nov 2015 12:02:11 -0500

apt-notifier (1.1.5mcr120+2) mepis; urgency=medium

  * Rebuild for Mepis 12 & MX-14

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 15 Nov 2015 13:05:08 -0500

apt-notifier (1.1.5mx150+2) mx; urgency=medium

  * fix width calculation (lop off decimal portion)


## apt-notifier 22.07.02mx21

=== icons/Makefile ===

PNG_DIR := .
SVG_DIR := .
BUILD   := ./build

SVGS = $(wildcard $(SVG_DIR)/*.svg)
PNGS = $(wildcard $(PNG_DIR)/*.png)

HICOLOR := $(BUILD)/icons/hicolor
HICO32  := $(HICOLOR)/32x32/apps

APPS_DIR = $(HICOLOR)/$${SIZE}x$${SIZE}/apps

ICONS = $(notdir $(basename $(SVGS)))

SIZES := 8 16 22 24 32 48 64 96 128 256

all: clean dirs pngs svgs svg2png  links

dirs:
	@echo make icons ...
	@for SIZE in $(SIZES); do mkdir -p $(APPS_DIR); done  
	@mkdir -p $(HICOLOR)/scalable

svgs:
	@for SVG in $(SVGS); do \
		echo "  " $(HICOLOR)/scalable/$$(basename $${SVG}); \
		cp $${SVG} $(HICOLOR)/scalable; \
		done  

pngs:
	@for PNG in $(PNGS); do \
		echo "  " $(HICO32)/$$(basename $${PNG}); \
		cp $${PNG} $(HICO32); done  

svg2png:
	@for SIZE in $(SIZES); do for ICON in $(ICONS); do \
		echo "  " $(APPS_DIR)/$${ICON}.png; \
		inkscape -h $${SIZE} -w $${SIZE} -o $(APPS_DIR)/$${ICON}.png $(SVG_DIR)/$${ICON}.svg 2>/dev/null; \
		done; done

links:
	@for SIZE in $(SIZES); do \
		ln -s mnotify-some-wireframe.png $(APPS_DIR)/apt-notifier.png; \
		ln -s mnotify-some-wireframe.png $(APPS_DIR)/mx-updater.png; \
		done
	@cd $(HICOLOR)/scalable && \
		ln -s mnotify-some-wireframe.svg apt-notifier.svg && \
		ln -s mnotify-some-wireframe.svg mx-updater.svg
	@cd $(BUILD)/icons && \
		ln -s hicolor/32x32/apps/*.png . && \
		ln -s hicolor/256x256/apps/mnotify-some-wireframe.png mnotify-some-wireframe-pkexec.png 

clean:
	-@rm -rf $(BUILD)

.PHONY: all dirs pngs svg2png svgs links clean

## apt-notifier 17.05.01mx16+4

=== debian/changelog ===
apt-notifier (17.05.01mx16+4) mx; urgency=medium

  * revised and new translations

 -- Kent Mathern <maintainer@mepiscommunity.org>  Wed, 31 May 2017 13:18:59 -0400

apt-notifier (17.05.01mx16+3) mx; urgency=medium

  * also use mx16 icons for 16.1

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 19 May 2017 22:02:51 -0400

apt-notifier (17.05.01mx16+2) mx; urgency=medium

  * .po & .mo changes reverted
  * apt-notifier.py updated, to allow single quoting in pref. translations
  * Icon and classic translateable strings added 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 14 May 2017 18:41:12 -0400

apt-notifier (17.05.01mx16+1) mx; urgency=medium

  * fix .po's

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 13 May 2017 22:48:21 -0400

apt-notifier (17.05.01mx16) mx; urgency=medium

  * apt-notifier.py script and translation changes to allow use of transifex 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 13 May 2017 22:30:38 -0400

apt-notifier (17.05mx16) mx; urgency=medium

  * dolphin_oracle changes:
  *
  * undid 16.12 rollback to re-enable icon selection in Preferences dialog
  * removed "(apt-get update)" from 'Check for Updates' context menu entry
  * new icons on larger canvas, then resized to 32x32
  * apt-notifier.py code tweaks

  * kmathern changes:
  *
  * removed "Apt Notifier" wording from Quit and Preferences context menu entries
  * Swap context menu's Quit and Preference entries so 'Quit' is last menu item 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 07 May 2017 17:11:15 -0400

apt-notifier (16.12mcr120+1) mepis; urgency=medium

  * Rebuild for MX14 -- w/classic icons

 -- Kent Mathern <maintainer@mepiscommunity.org>  Tue, 20 Dec 2016 14:14:45 -0500

=== debian/control ===
Source: apt-notifier
Section: admin
Priority: optional
Maintainer: Steve (Stevo) Pusser <maintainer@mepiscommunity.org>
Uploaders: Kent Mathern <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.3
Homepage: http://forum.mepiscommunity.org/

Package: apt-notifier
Architecture: all
Depends: ${misc:Depends}, apt, bash (>= 3.2-4), gtkdialog,
 konsole | x-terminal-emulator, python-qt4, synaptic, yad (>= 0.26)
Conflicts: mepis-aptnotify
Replaces: mepis-aptnotify 
Description: tray applet to notify of system and application updates
 .

## apt-notifier 17.12.14mx17+2

=== debian/changelog ===
apt-notifier (17.12.14mx17+2) mx; urgency=medium

  * more synaptic help changes

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 14 Dec 2017 17:48:24 -0500

apt-notifier (17.12.14mx17+1) mx; urgency=medium

  * synaptic help changes

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 14 Dec 2017 04:56:33 -0500

apt-notifier (17.12.13mx17+1) mx; urgency=medium

  * add french help
  * translation updates

 -- Kent Mathern <maintainer@mepiscommunity.org>  Wed, 13 Dec 2017 08:12:12 -0500

apt-notifier (17.12.07mx17+3) mx; urgency=medium

  * fixed typos

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 11 Dec 2017 11:44:05 -0500

apt-notifier (17.12.07mx17+2) mx; urgency=medium

  * Remove /etc/xdg/autostart/apt-notifier-autostart-xdg.desktop if present

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 08 Dec 2017 10:10:38 -0500

apt-notifier (17.12.07mx17+1) mx; urgency=medium

  * App renamed to MX Updater, packagename remains as apt-notifier for now

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 07 Dec 2017 20:02:47 -0500

apt-notifier (17.10.09mx17+1) mx; urgency=medium

  * Suppress notification when all upgrades from backports.
  * Check for updates when update-stamp missing but lock file exists.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 09 Oct 2017 20:26:54 -0400

apt-notifier (17.09.02mx17+1) mx; urgency=medium

  * MX-17 support added

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 02 Sep 2017 17:02:16 -0400

## apt-notifier 18.04.06mx17+1

=== debian/changelog ===
apt-notifier (18.04.06mx17+1) mx; urgency=medium

  * Converted to pyQt5. Thanks to "cliuser" from github for the contribution.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 06 Apr 2018 09:01:16 -0400

apt-notifier (18.04.04mx17+1) mx; urgency=medium

  * remove the upgrade <=> dist-upgrade toggle from the 'View and Upgrade'
    dialog and try to make it clear that dist-upgrade is the recommended
    upgrade mode for MX.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Wed, 04 Apr 2018 11:03:45 -0400

apt-notifier (18.03.20mx17+1) mx; urgency=medium

  * remove /etc/cron.d/mx-Unattended-Origins-Pattern-update cronjob
  * run Unattended-Origins-Pattern update before unattended-upgrades
    via the /etc/cron.daily/2-apt-compat cronjob

 -- Kent Mathern <maintainer@mepiscommunity.org>  Tue, 20 Mar 2018 12:26:32 -0400

apt-notifier (18.03.07mx17+1) mx; urgency=medium

  * update-Origins-Pattern script changes to fix 'v=all' 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Wed, 07 Mar 2018 13:10:50 -0500

apt-notifier (18.03.03mx17+4) mx; urgency=medium

  * -d option added to update-Origins-Pattern script

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 03 Mar 2018 12:57:26 -0500

apt-notifier (18.03.03mx17+3) mx; urgency=medium

  * add "b" (build) keyword to commas that aren't backslashed

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 03 Mar 2018 11:17:17 -0500

apt-notifier (18.03.03mx17+2) mx; urgency=medium

  * enable Unattended-Upgrade::MinimalSteps

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 03 Mar 2018 10:18:28 -0500

apt-notifier (18.03.03mx17+1) mx; urgency=medium

  * disable unattended-upgrades from Debian releases other than MX's base

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 03 Mar 2018 08:42:54 -0500

apt-notifier (18.03.02mx17+1) mx; urgency=medium

  * disable unattended-upgrades from Debian testing & sid, dmo, and mx testrepo
  * backslash commas not used as keyword separators
  * if exists, rename /etc/cron.daily/apt~ back to /etc/cron.daily/apt
  * ship 51unattended-upgrades-mx without a Origins-Pattern 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 02 Mar 2018 18:17:34 -0500

apt-notifier (18.03.01mx17+1) mx; urgency=medium

  * script changes to remove b=amd64, b=i386, site=* from Origins-Pattern 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 01 Mar 2018 19:07:28 -0500

apt-notifier (18.02.28mx17+1) mx; urgency=medium

  * In Prefs changed 'Upgrade Behaviour  (also affects ...' to 'Upgrade mode'

 -- Kent Mathern <maintainer@mepiscommunity.org>  Wed, 28 Feb 2018 09:21:53 -0500

apt-notifier (18.02.27mx17+1) mx; urgency=medium

  * maintainer script updates
  * added update-Origins-Pattern script 
  * mx-Unattended-Origins-Pattern-update cronjob added
  * vertical separators reomved in Preferences dialog

 -- Kent Mathern <maintainer@mepiscommunity.org>  Tue, 27 Feb 2018 19:32:42 -0500

apt-notifier (18.02.23mx17+1) mx; urgency=medium

  * full/basic upgrade changes
  * suppress notification when unattended upgrades enabled
  * preinst script added to remove obsolete autostart-xdg desktop files 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 23 Feb 2018 20:14:56 -0500

apt-notifier (18.02.18mx17+1) mx; urgency=medium

  * changes to allow unattended upgrades

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 18 Feb 2018 23:09:16 -0500

## apt-notifier 18.04.07

=== debian/changelog ===
apt-notifier (18.04.07) unstable; urgency=medium

  * bugfix for antiX-19 

 -- anticapitalista <antix@operamail.com>  Thu, 30 Jan 2020 12:20:59 +0200

## apt-notifier 18.04.08

=== debian/changelog ===
apt-notifier (18.04.08) unstable; urgency=medium

  * better icon choice in dsktop fles

 -- anticapitalista <antix@operamail.com>  Fri, 14 Feb 2020 21:44:19 +0200

=== debian/control ===
Source: apt-notifier
Section: admin
Priority: optional
Maintainer: Steve (Stevo) Pusser <maintainer@mepiscommunity.org>
Uploaders: Kent Mathern <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>= 9.0)
Standards-Version: 3.9.3
Homepage: http://forum.mepiscommunity.org/

Package: apt-notifier
Architecture: all
Depends: ${misc:Depends}, apt, bash (>= 3.2-4), gtkdialog,
 konsole | x-terminal-emulator, python-pyqt5, synaptic, yad (>= 0.26),
 unattended-upgrades
Conflicts: mepis-aptnotify
Replaces: mepis-aptnotify 
Description: tray applet to notify of system and application updates
 .

## apt-notifier 18.04.09

=== debian/changelog ===
apt-notifier (18.04.09) unstable; urgency=medium

  * added ja translation

 -- anticapitalista <antix@operamail.com>  Mon, 23 Mar 2020 13:20:18 +0200

## apt-notifier 18.04.10

=== debian/changelog ===
apt-notifier (18.04.10) unstable; urgency=medium

  * added anacron to dependencies

 -- anticapitalista <antix@operamail.com>  Wed, 29 Apr 2020 22:52:21 +0300

## apt-notifier 18.04.11

=== debian/changelog ===
apt-notifier (18.04.11) unstable; urgency=medium

  * added nb, improved pt_BR

 -- anticapitalista <antix@operamail.com>  Thu, 08 Oct 2020 14:03:50 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: apt-notifier
 Architecture: all
-Depends: ${misc:Depends}, apt, bash (>= 3.2-4), gtkdialog,
+Depends: ${misc:Depends}, apt, bash (>= 3.2-4), anacron, gtkdialog,
  konsole | x-terminal-emulator, python-pyqt5, synaptic, yad (>= 0.26),
  unattended-upgrades
 Conflicts: mepis-aptnotify

## apt-notifier 18.04.12

=== debian/changelog ===
apt-notifier (18.04.12) unstable; urgency=medium

  * added gl_ES 

 -- anticapitalista <antix@operamail.com>  Sat, 28 Nov 2020 16:37:11 +0200

## apt-notifier 18.12.17mx17+1

=== debian/changelog ===
apt-notifier (18.12.17mx17+1) mx; urgency=medium

  * Fix gsku dialog for Reload (apt-get update) actions
  * Changes to fix 'grep: write error: Broken pipe' error
  * Autoremove option removed from Preferences dialog

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 17 Dec 2018 19:41:26 -0500

apt-notifier (18.11.30mx17+1) mx; urgency=medium

  * Translations updated.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 30 Nov 2018 19:23:26 -0500

apt-notifier (18.11.18mx17+1) mx; urgency=medium

  * MX-18 icon default selection added
  * Files & directories watch nicely 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 18 Nov 2018 11:19:20 -0500

apt-notifier (18.10.14mx17+1) mx; urgency=medium

  * Translations updated. (Thankyou Old Giza!)

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 14 Oct 2018 20:53:30 -0400

apt-notifier (18.08.10mx17+1) mx; urgency=medium

  * Use gksu for all desktops/window_managers.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 10 Aug 2018 10:33:48 -0400

apt-notifier (18.06.25mx17+1) mx; urgency=medium

  * Hide 'Reading database ...' progress lines when viewing unattended-upgrades
    dpkg log(s).
  * Add changelog button to 'About' dialog.
  * Add short delay to autostart .desktop files.
  * Add short delay(s) and redundant kill(s) of any currently running
    apt-notifiers prior to launching a new instance.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 25 Jun 2018 14:01:53 -0400

apt-notifier (18.05.18mx17+2) mx; urgency=medium

  * Change update-Origins-Pattern script permissions to executable.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 18 May 2018 09:30:03 -0400

apt-notifier (18.05.18mx17+1) mx; urgency=medium

  * Translations updated.
  * Fixed update-Origins-Pattern script, google-chrome-* updates weren't being
    installed because a comma was missing in the origins pattern.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 18 May 2018 09:06:33 -0400

apt-notifier (18.05.07mx17+1) mx; urgency=medium

  * Added options to view unattended-upgrades logs.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 07 May 2018 09:35:53 -0400

apt-notifier (18.04.21mx17+1) mx; urgency=medium

  * 'About' dialog translations added.
  * Added anacron dependency. 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 21 Apr 2018 10:12:14 -0400

apt-notifier (18.04.15mx17+1) mx; urgency=medium

  * 'About' dialog rightclick action added.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 15 Apr 2018 13:38:40 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: apt-notifier
 Architecture: all
-Depends: ${misc:Depends}, apt, bash (>= 3.2-4), anacron, gtkdialog,
+Depends: ${misc:Depends}, anacron, apt, bash (>= 3.2-4), gtkdialog,
  konsole | x-terminal-emulator, python-pyqt5, synaptic, yad (>= 0.26),
  unattended-upgrades
 Conflicts: mepis-aptnotify

## apt-notifier 19.01.23mx17+1

=== debian/changelog ===
apt-notifier (19.01.23mx17+1) mx; urgency=medium

  * Translations updated.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Wed, 23 Jan 2019 19:09:40 -0500

## apt-notifier 19.03.01mx17+1

=== debian/changelog ===
apt-notifier (19.03.01mx17+1) mx; urgency=medium

  * Additional pkxexec related changes

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 01 Mar 2019 21:08:00 -0500

apt-notifier (19.01.31mx17+1) mx; urgency=medium

  * Change to pkexec for actions requiring authentication

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 31 Jan 2019 22:29:20 -0500

## apt-notifier 19.04.05mx17+1

=== debian/changelog ===
apt-notifier (19.04.05mx17+1) mx; urgency=medium

  * Translations updated. (Thankyou Old Giza!)

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 05 Apr 2019 10:53:40 -0400

## apt-notifier 19.05.08mx17+1

=== debian/changelog ===
apt-notifier (19.05.08mx17+1) mx; urgency=medium

  * Dynamically resize terminal windows to 2/3 of screen's Width and Height.
  * View unattended-upgrade logs in terminal instead of yad.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Wed, 08 May 2019 22:14:16 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: apt-notifier
 Architecture: all
 Depends: ${misc:Depends}, anacron, apt, bash (>= 3.2-4), gtkdialog,
- konsole | x-terminal-emulator, python-pyqt5, synaptic, yad (>= 0.26),
+ konsole | x-terminal-emulator, policykit-1-gnome, python-pyqt5, synaptic, yad (>= 0.26),
  unattended-upgrades
 Conflicts: mepis-aptnotify
 Replaces: mepis-aptnotify

## apt-notifier 19.08.11mx19+1

=== debian/changelog ===
apt-notifier (19.08.11mx19+1) mx; urgency=medium

  * MX-19 support added 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 11 Aug 2019 09:19:11 -0400

## apt-notifier 19.08.11mx19+2

=== debian/changelog ===
apt-notifier (19.08.11mx19+2) mx; urgency=medium

  * fixed mx-updater_unattended_upgrades_log_view script 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 11 Aug 2019 18:42:40 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_usrlocal:

override_dh_builddeb:
	dh_builddeb -- -Z xz

## apt-notifier 19.09.02mx19+1

=== debian/changelog ===
apt-notifier (19.09.02mx19+1) mx; urgency=medium

  * mx-updater-reload changes

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 02 Sep 2019 12:16:46 -0400

apt-notifier (19.08.31mx19+1) mx; urgency=medium

  * pkexec-wrapper & pkexec-wrapper.sh fixes

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 31 Aug 2019 12:49:44 -0400

apt-notifier (19.08.30mx19+3) UNRELEASED; urgency=medium

  * add .sh scripts to debian/install file

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 30 Aug 2019 15:17:44 -0400

apt-notifier (19.08.30mx19+2) UNRELEASED; urgency=medium

  * Add multi-monitor fixes for full/basic upgrade terminals

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 30 Aug 2019 14:45:47 -0400

apt-notifier (19.08.30mx19+1) UNRELEASED; urgency=medium

  * About yad Changelog viewer, title and icon fixed 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Fri, 30 Aug 2019 09:16:40 -0400

apt-notifier (19.08.29mx19+2) UNRELEASED; urgency=medium

  * another About fix

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 29 Aug 2019 14:35:45 -0400

apt-notifier (19.08.29mx19+1) UNRELEASED; urgency=medium

  * yad multi-monitor fixes
  * About fix
  * add xdotool as a depend
  * change depend for konsole to xfce4-terminal 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 29 Aug 2019 13:23:31 -0400

apt-notifier (19.08.28mx19+3) UNRELEASED; urgency=medium

  * update pkexec wrapper scripts

 -- Kent Mathern <maintainer@mepiscommunity.org>  Wed, 28 Aug 2019 20:56:55 -0400

apt-notifier (19.08.28mx19+2) UNRELEASED; urgency=medium

  * fehlix's changes 19.08.28

 -- Kent Mathern <maintainer@mepiscommunity.org>  Wed, 28 Aug 2019 19:28:20 -0400

apt-notifier (19.08.28mx19+1) mx; urgency=medium

  * pkexec security fixes for passwordless reload and
    auto-update log viewing

  * multi-display fixes for reload and auto-update terminals

 -- Kent Mathern <maintainer@mepiscommunity.org>  Wed, 28 Aug 2019 18:08:17 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
 Package: apt-notifier
 Architecture: all
 Depends: ${misc:Depends}, anacron, apt, bash (>= 3.2-4), gtkdialog,
- konsole | x-terminal-emulator, policykit-1-gnome, python-pyqt5, synaptic, yad (>= 0.26),
+ policykit-1-gnome, python-pyqt5,  synaptic, xdotool,
+ xfce4-terminal | x-terminal-emulator, yad (>= 0.26),
  unattended-upgrades
 Conflicts: mepis-aptnotify
 Replaces: mepis-aptnotify

## apt-notifier 19.09.14mx19+1

=== debian/changelog ===
apt-notifier (19.09.14mx19+1) mx; urgency=medium

  * fix no rightclick menu problem with SystemD

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 14 Sep 2019 08:00:48 -0400

## apt-notifier 19.09.28mx19+1

=== debian/changelog ===
apt-notifier (19.09.28mx19+1) mx; urgency=medium

  * Translations updated, Marathi (mr) added. 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 28 Sep 2019 15:44:32 -0400

## apt-notifier 19.10.08mx19+1

=== debian/changelog ===
apt-notifier (19.10.08mx19+1) mx; urgency=medium

  *  Suppress balloon notification when fullscreen apps are running

 -- Kent Mathern <maintainer@mepiscommunity.org>  Tue, 08 Oct 2019 15:38:56 -0400

## apt-notifier 19.10.17mx19+1

=== debian/changelog ===
apt-notifier (19.10.17mx19+1) mx; urgency=medium

  * Try to deartifact xfce systray icons 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 17 Oct 2019 15:33:06 -0400

## apt-notifier 20.02.17mx19+1

=== debian/changelog ===
apt-notifier (20.02.17mx19+1) mx; urgency=medium

  * More fixes for papirus mx-updater icon

 -- Kent Mathern <maintainer@mepiscommunity.org>  Mon, 17 Feb 2020 10:14:37 -0500

apt-notifier (20.02.13mx19+1) mx; urgency=medium

  * More deartifact changes
  * Use papirus mx-updater icon when available
  * Run python script in pdb mode 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Thu, 13 Feb 2020 08:44:02 -0500

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Package: apt-notifier
 Architecture: all
 Depends: ${misc:Depends}, anacron, apt, bash (>= 3.2-4), gtkdialog,
- policykit-1-gnome, python-pyqt5,  synaptic, xdotool,
- xfce4-terminal | x-terminal-emulator, yad (>= 0.26),
- unattended-upgrades
+ policykit-1-gnome | lxpolkit | polkit-1-auth-agent, python-pyqt5,
+ synaptic,  xdotool, xfce4-terminal | x-terminal-emulator,
+ yad (>= 0.26), unattended-upgrades
 Conflicts: mepis-aptnotify
 Replaces: mepis-aptnotify 
 Description: tray applet to notify of system and application updates

## apt-notifier 20.02.17mx19+4

=== debian/changelog ===
apt-notifier (20.02.17mx19+4) mx; urgency=medium

  * add a 'Type=Application' line to the .local desktop files if there isn't one

 -- Kent Mathern <maintainer@mepiscommunity.org>  Tue, 18 Feb 2020 18:05:04 -0500

apt-notifier (20.02.17mx19+3) mx; urgency=medium

  * fehlix's .desktop file suggested changes

 -- Kent Mathern <maintainer@mepiscommunity.org>  Tue, 18 Feb 2020 14:06:22 -0500

apt-notifier (20.02.17mx19+2) mx; urgency=medium

  * Add a fallback symlink mnotify-some-wireframe.png > mx-updater.png

 -- Kent Mathern <maintainer@mepiscommunity.org>  Tue, 18 Feb 2020 12:37:31 -0500

## apt-notifier 20.02.22mx19+1

=== debian/changelog ===
apt-notifier (20.02.22mx19+1) mx; urgency=medium

  * fix/show mx-updater window decoration icon when using non Papirus icon themes

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 22 Feb 2020 11:15:45 -0500

## apt-notifier 20.03.01mx19+1

=== debian/changelog ===
apt-notifier (20.03.01mx19+1) mx; urgency=medium

  * Add /var/lib/apt and /var/lib/dpkg to files and folders that being watched.
  * Force a check for updates once every 5 minutes even if no changes have been
    seen in the watched files and directories.
  * Detect package management activity with lsof.
  * Add a /etc/sudoers.d/lsof-mx file to allow using lsof without a password.
  * Include repos with a 1,2 & 4 digit pin-priorities in the Unattended 
    Upgrades Origins patterns. Previously it only included repos with 3 digit 
    pin-priorities (500, 100, etc).
  * Only simulate both apt-get dist-upgrade and apt-get upgrade when
    Unattended Upgrades are enabled, otherwise only simulate the selected
    upgrade type (dist-upgrade, or upgrade).

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sun, 01 Mar 2020 20:37:02 -0500

## apt-notifier 20.03.14mx19+1

=== debian/changelog ===
apt-notifier (20.03.14mx19+1) mx; urgency=medium

  * "MX Updater not turning green" fix, needed due to the Synaptic 
    /var/lib/synaptic/preferences file nolonger being an empty file when all
    pinning has been removed.

 -- Kent Mathern <maintainer@mepiscommunity.org>  Sat, 14 Mar 2020 16:54:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: apt-notifier
 Section: admin
 Priority: optional
-Maintainer: Steve (Stevo) Pusser <maintainer@mepiscommunity.org>
-Uploaders: Kent Mathern <maintainer@mepiscommunity.org>
+Maintainer: Kent Mathern <maintainer@mepiscommunity.org>
 Build-Depends: debhelper (>= 9.0)
 Standards-Version: 3.9.3
-Homepage: http://forum.mepiscommunity.org/
+Homepage: https://github.com/MX-Linux/apt-notifier
 
 Package: apt-notifier
 Architecture: all

## apt-notifier 20.04.07mx19+1

=== debian/changelog ===
apt-notifier (20.04.07mx19+1) mx; urgency=medium

  * ja_JP translations removed.
  * Unused/disabled code in apt_get_update removed.
  * Check updates without using temporary file(s).
  * Also watch /etc/apt/apt.conf* and synaptic prefs.
 
 -- Kent Mathern <maintainer@mepiscommunity.org>  Tue, 07 Apr 2020 15:29:32 -0400

## apt-notifier 20.04.15mx19+1

=== debian/changelog ===
apt-notifier (20.04.15mx19+1) mx; urgency=medium

  * During upgrade, add empty /etc/apt/sources.list if one doesn't already exist.
  * Fix Synaptic pins exclusion. 

 -- Kent Mathern <maintainer@mepiscommunity.org>  Wed, 15 Apr 2020 14:43:24 -0400

## apt-notifier 20.07.04mx19

=== debian/changelog ===
apt-notifier (20.07.04mx19) mx; urgency=medium

  [ fehlix ] 
  * fix menu icon to mx-updater

 -- fehlix <fehlix@mxlinux.org>  Fri, 03 Jul 2020 21:20:07 +0200

apt-notifier (20.07.03mx19) mx; urgency=medium

  * Non-maintainer upload.
  * patches to use muon or synaptic (fehlix)

 -- Dolpin Oracle <dolphinoracle@gmail.com>  Fri, 03 Jul 2020 11:23:36 -0400

## apt-notifier 20.07.05mx19

=== debian/changelog ===
apt-notifier (20.07.05mx19) mx; urgency=medium

  * fix window-icon for prefrence window
  * call packagemanager without blocking right-click menu
  * call muon through mx-pkexec(su-to-root) to avoid kdesu crash

 -- fehlix <fehlix@mxlinux.org>  Thu, 09 Jul 2020 22:24:33 +0200

## apt-notifier 20.07.06mx19~9

=== debian/changelog ===
apt-notifier (20.07.06mx19~9) mx; urgency=medium

  [ fehlix ] 
  * change mnotify-none-wireframe icon (black with white frame)

 -- fehlix <fehlix@mxlinux.org>  Sun, 26 Jul 2020 23:12:21 +0200

apt-notifier (20.07.06mx19~8) mx; urgency=medium

  [ fehlix ] 
  * add prefrence "start MX Updater at login"

 -- fehlix <fehlix@mxlinux.org>  Sun, 26 Jul 2020 15:10:12 +0200

apt-notifier (20.07.06mx19~7) mx; urgency=medium

  [ fehlix ] 
  * disable right-click popup with left-click actions

 -- fehlix <fehlix@mxlinux.org>  Sun, 26 Jul 2020 02:18:26 +0200

apt-notifier (20.07.06mx19~6) mx; urgency=medium

  [ fehlix ] 
  * show in pref window the installed mnotify-icons,
    but not the icons from papirus icon theme

 -- fehlix <fehlix@mxlinux.org>  Sat, 25 Jul 2020 00:39:40 +0200

apt-notifier (20.07.06mx19~5) mx; urgency=medium

  [ fehlix ] 
  * icon-adjustment: mnotify-[none,some]-wireframe and mx-updater
  * pkexec-wrapper adjustments

 -- fehlix <fehlix@mxlinux.org>  Fri, 24 Jul 2020 18:15:34 +0200

apt-notifier (20.07.06mx19~4) mx; urgency=medium

  [ fehlix ] 
  * further window icon adjustments

 -- fehlix <fehlix@mxlinux.org>  Wed, 22 Jul 2020 00:52:43 +0212

apt-notifier (20.07.06mx19~3) mx; urgency=medium

  [ fehlix ] 
  * adjust konsole placement in plasmashell
  * remove xfconf-query detection of papirus icon theme
  * fix About window icon

 -- fehlix <fehlix@mxlinux.org>  Wed, 22 Jul 2020 00:25:32 +0200

apt-notifier (20.07.06mx19~2) mx; urgency=medium

  [ fehlix ] 
  * adjust plasmashell-check

 -- fehlix <fehlix@mxlinux.org>  Tue, 21 Jul 2020 22:31:42 +0200

## apt-notifier 20.07.06mx19~11

=== debian/changelog ===
apt-notifier (20.07.06mx19~11) mx; urgency=medium

  * make wireframe-dark-transparent as default icon set

 -- fehlix <fehlix@mxlinux.org>  Wed, 29 Jul 2020 01:08:12 +0200

apt-notifier (20.07.06mx19~10) mx; urgency=medium

  * add preference selection of light, dark and transparent icons

 -- fehlix <fehlix@mxlinux.org>  Tue, 28 Jul 2020 21:12:05 +0200

## apt-notifier 20.07.06mx19~12

=== debian/changelog ===
apt-notifier (20.07.06mx19~12) mx; urgency=medium

  * restart systray icon after upgrading apt-notifier
  * pkexec-wrapper adjustment
  * code adjustments in displayAbout()

 -- fehlix <fehlix@mxlinux.org>  Fri, 31 Jul 2020 20:43:02 +0200

## apt-notifier 20.08.06mx19~1

=== debian/changelog ===
apt-notifier (20.08.06mx19~1) mx; urgency=medium

  * fix to stop plasma writing zero-terminated systray config entries

 -- fehlix <fehlix@mxlinux.org>  Thu, 06 Aug 2020 16:05:01 +0200

## apt-notifier 20.08.06mx19~2

=== debian/changelog ===
apt-notifier (20.08.06mx19~2) mx; urgency=medium

  * adjust about-popup to close properly
  * change cancel button to close-button

 -- fehlix <fehlix@mxlinux.org>  Thu, 12 Aug 2020 14:39:02 +0200

## apt-notifier 20.08.06mx19~3

=== debian/changelog ===
apt-notifier (20.08.06mx19~3) mx; urgency=medium

  * adjust to avoid apt-notifier zombie in process table 

 -- fehlix <fehlix@mxlinux.org>  Sat, 22 Aug 2020 22:21:28 +0200

## apt-notifier 20.09.04mx19+1

=== debian/changelog ===
apt-notifier (20.09.04mx19+1) mx; urgency=medium

  * fix bug 311 - root access vulnerability 

 -- fehlix <fehlix@mxlinux.org>  Fri, 04 Sep 2020 00:29:03 +0200

## apt-notifier 20.09.04mx19+2

=== debian/changelog ===
apt-notifier (20.09.04mx19+2) mx; urgency=medium

  * consider withheld packages in the number of available updates.

 -- fehlix <fehlix@mxlinux.org>  Fri, 04 Sep 2020 15:32:07 +0200

## apt-notifier 20.11.01mx19+1

=== debian/changelog ===
apt-notifier (20.11.01mx19+1) mx; urgency=medium

  * adjust wireframe icon size

 -- fehlix <fehlix@mxlinux.org>  Mon, 02 Nov 2020 10:11:54 -0400

apt-notifier (20.10.01mx19+1) mx; urgency=medium

  * adjust hold-back package handling

 -- fehlix <fehlix@mxlinux.org>  Wed, 21 Oct 2020 17:53:48 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: all
 Depends: ${misc:Depends}, anacron, apt, bash (>= 3.2-4), gtkdialog,
  policykit-1-gnome | lxpolkit | polkit-1-auth-agent, python-pyqt5,
- synaptic,  xdotool, xfce4-terminal | x-terminal-emulator,
+ synaptic | muon, xdotool, xfce4-terminal | x-terminal-emulator,
  yad (>= 0.26), unattended-upgrades
 Conflicts: mepis-aptnotify
 Replaces: mepis-aptnotify

## apt-notifier 21.03.03mx21

=== debian/changelog ===
apt-notifier (21.03.03mx21) mx; urgency=medium

  * added build version info

 -- fehlix <fehlix@mxlinux.org>  Tue, 16 Mar 2021 19:21:56 -0400

apt-notifier (21.03.02b3) mx; urgency=medium

  * apt history taskbar icon fix

 -- fehlix <fehlix@mxlinux.org>  Wed, 10 Mar 2021 19:48:38 -0400

apt-notifier (21.03.02b1) mx; urgency=medium

  * fix displayed window-icons in taskbar to show apt-notifier icon
  * added status of unattended upgrades in tray icon tooltip

 -- fehlix <fehlix@mxlinux.org>  Tue, 09 Mar 2021 15:20:42 -0400

apt-notifier (21.03.01a4) mx; urgency=medium

  * retain Qt-env, XDG_RUNTIME_DIR check, based on new mx-pkexec 

 -- fehlix <fehlix@mxlinux.org>  Fri, 05 Mar 2021 17:32:12 -0400

apt-notifier (21.03.01a3) mx; urgency=medium

  * forced check if manually checked by user

 -- fehlix <fehlix@mxlinux.org>  Wed, 03 Mar 2021 12:37:43 -0400

apt-notifier (21.03.01a2) mx; urgency=medium

  * forced check if package cache has changed

 -- fehlix <fehlix@mxlinux.org>  Wed, 03 Mar 2021 06:01:01 -0400

apt-notifier (21.03.01a1) mx; urgency=medium

  * restructured and reworked for antiX and MX

 -- fehlix <fehlix@mxlinux.org>  Sun, 01 Mar 2021 21:03:01 -0400

apt-notifier (20.12.01mx19) mx; urgency=medium

  * update to python3
  * add auto-fix of fluxbox startup to use python3
  * add python3-notify2 as an alternative to QT's notifier
  * autodetect use of python3-notify2 for Xfce 4.16
  * add option to force QTs or python's notifier by adding a line
    in ~/.config/apt-notifierrc UseNotifier=QTnotifier or =Python
  * customize the unattended log viewer to run as user and not root
  * modify unattended upgrade log viewer to use yad
  * customize updater reload "Check for updates" to account for 
    withheld packages by apt-mark, synaptic or muon
  * adjust handling of closing the about popup
  * minimize the use of the shell (sh or bash)

 -- fehlix <fehlix@mxlinux.org>  Sun, 27 Dec 2020 19:49:23 -0400

## apt-notifier 21.07.01mx21

=== debian/changelog ===
apt-notifier (21.07.01mx21) mx; urgency=medium

  * adjust upgrade_auto_close_timeout config
  * add user config as ~/.config/{dist}/apt-notifier.conf

 -- fehlix <fehlix@mxlinux.org>  Mon, 19 Jul 2021 12:06:18 -0400

apt-notifier (21.03.06mx21) mx; urgency=medium

  * translations refresh 

 -- fehlix <fehlix@mxlinux.org>  Wed, 12 May 2021 15:07:57 +0200

apt-notifier (21.03.05mx21) mx; urgency=medium

  * set terminal window size to 4/5 for screen width smaller than 1440
  * re-added lslocks with sudo

 -- fehlix <fehlix@mxlinux.org>  Sat, 27 Mar 2021 07:00:19 -0400

apt-notifier (21.03.04mx21) mx; urgency=medium

  * use lslocks with pkexec instead of lsof with sudo
  * added ngettext to corectly translate plural forms
  * added translator comments for transifex

 -- fehlix <fehlix@mxlinux.org>  Fri, 19 Mar 2021 11:54:45 -0400

## apt-notifier 21.08.01mx21

=== debian/changelog ===
apt-notifier (21.08.01mx21) mx; urgency=medium

  * fix execution permission of apt-notifier.py 

 -- fehlix <fehlix@mxlinux.org>  Wed, 25 Aug 2021 21:01:09 +0000

## apt-notifier 21.09.01antix1

=== debian/changelog ===
apt-notifier (21.09.01antix1) unstable; urgency=medium

  * antiX bullseye build 

 -- anticapitalista <antix@operamail.com>  Sun, 19 Sep 2021 14:31:14 +0300

apt-notifier (21.09.01mx21) mx; urgency=medium

  * adjust escape-ok in View and Upgrade dialog

 -- fehlix <fehlix@mxlinux.org>  Thu, 09 Sep 2021 23:11:10 +0000

## apt-notifier 21.09.01mx21+1

=== debian/changelog ===
apt-notifier (21.09.01mx21+1) mx; urgency=medium

  * fresh builds 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 20 Sep 2021 20:49:40 -0400

## apt-notifier 21.10.12antix1

=== debian/changelog ===
apt-notifier (21.10.12antix1) unstable; urgency=medium

  * updated translations

 -- anticapitalista <antix@operamail.com>  Tue, 12 Oct 2021 14:57:47 +0300

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
 Package: apt-notifier
 Architecture: all
 Depends: ${misc:Depends}, anacron, apt, bash (>= 3.2-4), gtkdialog,
- policykit-1-gnome | lxpolkit | polkit-1-auth-agent, python-pyqt5,
- synaptic | muon, xdotool, xfce4-terminal | x-terminal-emulator,
- yad (>= 0.26), unattended-upgrades
+ python3-pyqt5, xdotool, xfce4-terminal | x-terminal-emulator,
+ yad (>= 0.26), unattended-upgrades, curl
+Recommends: policykit-1-gnome | lxpolkit | polkit-1-auth-agent,
+ synaptic | muon
 Conflicts: mepis-aptnotify
 Replaces: mepis-aptnotify 
 Description: tray applet to notify of system and application updates

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 %:
 	dh $@ 
 
+override_dh_auto_build:
+	bash scripts/build_version
+	dh_auto_build
+
 override_dh_usrlocal:
 
 override_dh_builddeb:

## apt-notifier 22.01.01mx21

=== debian/changelog ===
apt-notifier (22.01.01mx21) mx; urgency=medium

  * adjust icons and translations build
  * adjust lock check, min./max. update check interval
  * adjust gettext translation class and fallback handling
  * rework desktop entry and policy translations handling

 -- fehlix <fehlix@mxlinux.org>  Thu, 27 Jan 2022 17:09:15 -0400

## apt-notifier 22.05.01mx21

=== debian/changelog ===
apt-notifier (22.05.01mx21) mx; urgency=medium

  * add check of free space at /boot with cleanup-notifier-mx 

 -- fehlix <fehlix@mxlinux.org>  Tue, 03 May 2022 19:42:09 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Kent Mathern <maintainer@mepiscommunity.org>
-Build-Depends: debhelper (>= 9.0)
+Build-Depends: debhelper (>= 11.0), inkscape (>= 1.1)
 Standards-Version: 3.9.3
 Homepage: https://github.com/MX-Linux/apt-notifier

## apt-notifier 22.05.02mx21

=== debian/changelog ===
apt-notifier (22.05.02mx21) mx; urgency=medium

  * add /boot-space check run to left-click, synaptic and mxpi 

 -- fehlix <fehlix@mxlinux.org>  Thu, 05 May 2022 19:34:27 -0400

## apt-notifier 22.05.04mx21

=== debian/changelog ===
apt-notifier (22.05.04mx21) mx; urgency=medium

  * addjust control file

 -- fehlix <fehlix@mxlinux.org>  Sun, 15 May 2022 20:15:31 -0400

apt-notifier (22.05.03mx21) mx; urgency=medium

  * add dependency python3-notify2, python3-distutils

 -- fehlix <fehlix@mxlinux.org>  Sun, 15 May 2022 18:17:28 -0400

## apt-notifier 22.06.01mx21

=== debian/changelog ===
apt-notifier (22.06.01mx21) mx; urgency=medium

  * create timeout defaults in ~/.config/MX-Linux/apt-notifier.conf
  * enhance sanity check of config items

 -- fehlix <fehlix@mxlinux.org>  Tue, 28 Jun 2022 13:17:39 -0400

## apt-notifier 22.07.02mx21

=== debian/changelog ===
apt-notifier (22.07.02mx21) mx; urgency=medium

  * add icon-set defaults to user config items with example section
  * re-enable "hide until updates available" feature after reboot/logout
  * reduce number of monitored files to trigger update check
  * use mxpi-launcher to start mx-packageinstaller

 -- fehlix <fehlix@mxlinux.org>  Sun, 17 Jul 2022 18:58:09 -0400

apt-notifier (22.07.01mx21) mx; urgency=medium

  * enhance sanity check of config items
  * remove double notification after Esc
  * speedup counting of upgradable packages
  * support alternative icon sets in config items
  * allow use of nala with default disabled autoremove 

 -- fehlix <fehlix@mxlinux.org>  Fri, 08 Jul 2022 17:02:59 -0400

## apt-notifier 22.07.03mx21

=== debian/changelog ===
apt-notifier (22.07.03mx21) mx; urgency=medium

  * fix checking mx-packageinstaller is available
  * translation refresh

 -- fehlix <fehlix@mxlinux.org>  Mon, 25 Jul 2022 18:01:04 -0400

## apt-notifier 22.08.01mx21

=== debian/changelog ===
apt-notifier (22.08.01mx21) mx; urgency=medium

  * add mnotify-none-pulse-white.png icon
  * adjust user's apt-notifier.conf with addded icon
  * translation refresh

 -- fehlix <fehlix@mxlinux.org>  Mon, 15 Aug 2022 15:44:53 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
 Architecture: all
 Depends: ${misc:Depends}, anacron, apt, bash (>= 3.2-4), gtkdialog,
  python3-pyqt5, xdotool, xfce4-terminal | x-terminal-emulator,
- yad (>= 0.26), unattended-upgrades, curl
+ yad (>= 0.26), unattended-upgrades, curl, python3-notify2,
+ python3-distutils
 Recommends: policykit-1-gnome | lxpolkit | polkit-1-auth-agent,
  synaptic | muon
 Conflicts: mepis-aptnotify

## apt-notifier 22.09.01mx21

=== debian/changelog ===
apt-notifier (22.09.01mx21) mx; urgency=medium

  * add less-prompt for dpkg config diff pager

 -- fehlix <fehlix@mxlinux.org>  Thu, 15 Sep 2022 18:35:52 -0400

=== debian/control ===
Source: apt-notifier
Section: admin
Priority: optional
Maintainer: fehlix <fehlix@mxlinux.org>
XSBC-Original-Maintainer: Kent Mathern <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>= 13), inkscape (>= 1.1)
Standards-Version: 3.9.3
Homepage: https://github.com/MX-Linux/apt-notifier

Package: apt-notifier
Architecture: all
Depends: ${misc:Depends}, anacron, apt, bash (>= 3.2-4), gtkdialog,
 python3-pyqt5, xdotool, xfce4-terminal | x-terminal-emulator,
 yad (>= 0.26), unattended-upgrades, curl, python3-notify2,
 python3-distutils, util-linux-locales
Recommends: policykit-1-gnome | lxpolkit | polkit-1-auth-agent,
 synaptic | muon
Conflicts: mepis-aptnotify
Replaces: mepis-aptnotify 
Description: tray applet to notify of system and application updates
 .

## apt-notifier 22.12.01mx21

=== debian/changelog ===
apt-notifier (22.12.01mx21) mx; urgency=medium

  * translation refresh

 -- fehlix <fehlix@mxlinux.org>  Thu, 29 Dec 2022 15:29:52 -0500

## apt-notifier 23.01.01mx21

=== debian/changelog ===
apt-notifier (23.01.01mx21) mx; urgency=medium

  * get adjusted {num} placeholder from transifex for sv_SE locale

 -- fehlix <fehlix@mxlinux.org>  Sun, 22 Jan 2023 16:03:03 -0500

## apt-notifier 23.03.01

=== debian/changelog ===
apt-notifier (23.03.01) mx; urgency=medium

  * fix quick-live-update
  * add check for last apt update run
  * add 03apt-notifier-update-stamp
  * adjust forced check to 3 hours
  * add debhelper-compat (= 13) to build-depends
  * use shutil.which instead of distutils.spawn.find_executable
  * add python3-ewmh as depends to detect fullscreen
  * remove python3-distutils from build-depends
  * translations refresh

 -- fehlix <fehlix@mxlinux.org>  Wed, 08 Mar 2023 14:35:52 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: fehlix <fehlix@mxlinux.org>
 XSBC-Original-Maintainer: Kent Mathern <maintainer@mepiscommunity.org>
-Build-Depends: debhelper (>= 13), inkscape (>= 1.1)
+Build-Depends: debhelper-compat (= 13), debhelper (>= 13), inkscape (>= 1.1)
 Standards-Version: 3.9.3
 Homepage: https://github.com/MX-Linux/apt-notifier
 
@@ -12,7 +12,7 @@
 Depends: ${misc:Depends}, anacron, apt, bash (>= 3.2-4), gtkdialog,
  python3-pyqt5, xdotool, xfce4-terminal | x-terminal-emulator,
  yad (>= 0.26), unattended-upgrades, curl, python3-notify2,
- python3-distutils, util-linux-locales
+ util-linux-locales, python3-ewmh
 Recommends: policykit-1-gnome | lxpolkit | polkit-1-auth-agent,
  synaptic | muon
 Conflicts: mepis-aptnotify

## apt-notifier 23.05.01

=== debian/changelog ===
apt-notifier (23.05.01) mx; urgency=medium

  * set nala as default
  * use nala's --raw-dpkg switch for kernel- and dkms- upgrades

 -- fehlix <fehlix@mxlinux.org>  Wed, 17 May 2023 20:08:18 -0500

## apt-notifier 23.06.01

=== debian/changelog ===
apt-notifier (23.06.01) mx; urgency=medium

  * set apt as default

 -- fehlix <fehlix@mxlinux.org>  Sat, 10 Jun 2023 15:36:00 -0500

## apt-notifier 23.07.01

=== debian/changelog ===
apt-notifier (23.07.01) mx; urgency=medium

  * set max size for yad and terminal window
  * fix nala's --raw-dpkg switch for kernel- and dkms-upgrades

 -- fehlix <fehlix@mxlinux.org>  Sat, 01 Jul 2023 19:54:12 -0500

## apt-notifier 23.07.02

=== debian/changelog ===
apt-notifier (23.07.02) mx; urgency=medium

  * update pulse icons [MelBer]

 -- fehlix <fehlix@mxlinux.org>  Mon, 10 Jul 2023 05:40:06 -0500

## apt-notifier 24.03.01

=== debian/changelog ===
apt-notifier (24.03.01) mx; urgency=medium

  * generate svg iconset with rsvg-convert instead of inkscape
  * translations refresh

 -- fehlix <fehlix@mxlinux.org>  Mon, 25 Mar 2024 17:59:12 -0400

## apt-notifier 24.04.01

=== debian/changelog ===
apt-notifier (24.04.01) mx; urgency=medium

  * Add line break in the countdown line for smaller display size
  * Suppress first blank line in the terminal
  * Add terminal support for lxterminal, mate-terminal, qterminal,
    terminator and zutty
  * Check whether the qterminal version is up-to-date enough
  * Use of the xfce4 terminal as a fallback, if installed
  * Adjust unprivileged view of the auto-upgrade logs

 -- fehlix <fehlix@mxlinux.org>  Thu, 25 Apr 2024 20:53:31 -0400
